Name:           quartz64-kernel
Version:        5.19.0
Release:        1.rc1%{?dist}
Summary:        latest Quartz64 kernel from pgwipeout

License:        GPLv3+
#URL:            https://megous.com/git/linux/log/?h=orange-pi-5.18
Source0:        q64.tar.gz
#Source1:        boot.cmd
#Source2:        boot.scr

#Requires:       pp-uboot 
#Requires:       pinephone-helpers >= 0.0.8-3

#Obsoletes:      kernel-megi-bh
#Obsoletes:      kernel-megi-ce

%description
Pgwipeouts version of the Linux Kernel, for Quartz64 A and B.

%global debug_package %{nil}

%prep
%autosetup -p1 -n q64-5.19


%install
mkdir -p $RPM_BUILD_ROOT/boot/efi/dtbs/rockchip
cp Image $RPM_BUILD_ROOT/boot/efi/
cp linux.config $RPM_BUILD_ROOT/boot/efi/
#cp %{SOURCE1} $RPM_BUILD_ROOT/boot/
#cp %{SOURCE2} $RPM_BUILD_ROOT/boot/
#mkdir -p $RPM_BUILD_ROOT/boot/rockchip
cp rk3566-quartz64-a.dtb $RPM_BUILD_ROOT/boot/efi/dtbs/rockchip/rk3566-quartz64-a.dtb
cp rk3566-quartz64-b.dtb $RPM_BUILD_ROOT/boot/efi/dtbs/rockchip/rk3566-quartz64-b.dtb
#cp board-1.2.dtb $RPM_BUILD_ROOT/boot/allwinner/sun50i-a64-pinephone-1.2.dtb
#cp pinetab.dtb $RPM_BUILD_ROOT/boot/allwinner/sun50i-a64-pinetab.dtb
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%files
/boot/efi/Image
/boot/efi/linux.config
#/boot/boot.cmd
#/boot/boot.scr
/lib/modules/
/boot/efi/dtbs/rockchip/rk3566-quartz64-a.dtb
/boot/efi/dtbs/rockchip/rk3566-quartz64-b.dtb

%changelog
* Fri Jun 10 2022 Yoda - 5.19.0-1.rc0
- Initial packaging (hack)
